You are not logged in.

#1 2018-08-06 20:32:47

mrshpot
Member
Registered: 2010-08-29
Posts: 9

[solved] ipython, Spyder broken after python & python-tornado 5 update

Just a heads up for anyone who works with Spyder. After doing a pacman -Syu today I ended up with Spyder not being able to start the ipython kernel as described here: https://bugs.archlinux.org/task/59535

There's a known issue with ipython and tornado >= 5: https://github.com/jupyter/notebook/issues/3397

I've tried rebuilding tornado 4.5.3, but it's incompatible with python 3.7 due to 'async' being promoted to reserved keyword.

I ended up rolling back the upgrade for now.

edit: I had problems with the following versions:
ipython 6.5.0-2
python-jupyter_core 4.4.0-3
python-ipykernel 4.6.1-2
python-tornado 5.1.0-1
python-pyzmq 17.1.0-1
jupyter-notebook 5.3.0-4
spyder3 3.2.8-2

edit: Fixed in official repos.

Last edited by mrshpot (2018-08-10 17:34:36)

Offline

#2 2018-08-06 21:09:46

threeofsix
Member
Registered: 2013-08-01
Posts: 9

Re: [solved] ipython, Spyder broken after python & python-tornado 5 update

I was able to get basic jupyter notebook functionality by installing tornado-4.5.3 and ipykernel-4.8.2 with pip (and updating my PYTHONPATH), but it doesn't seem to fix everything. My matplotlib figures are not interactive as they should be.

Last edited by threeofsix (2018-08-06 21:10:13)

Offline

#3 2018-08-06 23:52:02

dunek
Member
Registered: 2010-05-15
Posts: 21

Re: [solved] ipython, Spyder broken after python & python-tornado 5 update

I don't get it. Why can't python3.7 just pretend it's python3.6? Shouldn't they be compatible? Why does every single python package need to be updated, just because python is?

Last edited by dunek (2018-08-06 23:52:48)

Offline

#4 2018-08-07 01:30:38

eschwartz
Trusted User/Bug Wrangler
Registered: 2014-08-08
Posts: 2,374

Re: [solved] ipython, Spyder broken after python & python-tornado 5 update

dunek wrote:

I don't get it. Why can't python3.7 just pretend it's python3.6? Shouldn't they be compatible? Why does every single python package need to be updated, just because python is?

Because they're not the same thing. If it was actually python3.6, then it would like actually be python3.6, but that would imply we don't get interesting new features either.

Also because Application Binary Interface.

...

Is it really that hard to just rebuild a package with no changes?
Also what does this have to do with ipykernel which is simply incompatible with recent versions of tornado, regardless of whether you use python3.6 or python3.7?


Managing AUR repos The Right Way -- aurpublish (now a standalone tool)

Offline

#5 2018-08-07 08:18:28

dunek
Member
Registered: 2010-05-15
Posts: 21

Re: [solved] ipython, Spyder broken after python & python-tornado 5 update

So far two packages of mine have been bricked by this. Is there a way to go back to python3.6

EDIT: I managed to wrangle downgrade to undo the entire upgrade which involved python3.7

yes 2 | DOWNGRADE_FROM_ALA=0 downgrade $packages_from_your_pacman_log -- --noconfirm

Last edited by dunek (2018-08-07 09:13:29)

Offline

#6 2018-08-07 20:59:02

renordw
Member
From: New Mexico
Registered: 2018-03-04
Posts: 21

Re: [solved] ipython, Spyder broken after python & python-tornado 5 update

Same errors here, both my Arch Linux installations have bricked python IDEs, including Spyder

Offline

#7 2018-08-08 06:41:38

mrshpot
Member
Registered: 2010-08-29
Posts: 9

Re: [solved] ipython, Spyder broken after python & python-tornado 5 update

Ok, I ended up removing the pacman installation of spyder:

sudo pacman -Rcs spyder3

Updating the system via

pacman -Syu

And installing spyder in a virtualenv via pip:

mkdir ~/spyder ; cd ~/spyder
python -m venv .
source ./bin/activate
pip install --upgrade pip
pip install spyder matplotlib pandas numpy scipy sympy
./bin/spyder

Now I have a working spyder installation and fully-upgraded Arch system.

Last edited by mrshpot (2018-08-08 06:43:04)

Offline

#8 2018-08-08 08:40:09

dunek
Member
Registered: 2010-05-15
Posts: 21

Re: [solved] ipython, Spyder broken after python & python-tornado 5 update

I have a feeling this won't be fixed in a while, considering the sloth-like speed at which python programmers like to upgrade.

Offline

#9 2018-08-10 15:59:19

izahn
Member
Registered: 2013-04-19
Posts: 6

Re: [solved] ipython, Spyder broken after python & python-tornado 5 update

As noted at https://bugs.archlinux.org/task/59535, manually building ( e.g, via ABS and `makepkg`) and installing python-ipykernel 4.8.2 works.

Offline

#10 2018-08-10 21:42:41

eschwartz
Trusted User/Bug Wrangler
Registered: 2014-08-08
Posts: 2,374

Re: [solved] ipython, Spyder broken after python & python-tornado 5 update

I've tested and pushed an updated ipykernel package.


Managing AUR repos The Right Way -- aurpublish (now a standalone tool)

Offline

Board footer

Powered by FluxBB